import sys
from PyQt4.QtCore import Qt
from PyQt4.QtGui import *

class Window(QWidget):

    def mousePressEvent(self, event):
    
        if event.buttons() == Qt.RightButton:
            self.dragPos = event.globalPos()
            event.accept()
    
    def mouseMoveEvent(self, event):
    
        if event.buttons() == Qt.RightButton:
            self.move(self.pos() + event.globalPos() - self.dragPos)
            self.dragPos = event.globalPos()
            event.accept()

app = QApplication(sys.argv)
w = Window()
w.show()
sys.exit(app.exec_())
